POST api/cabreaderapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
CabReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| cab_reader_type_id | globally unique identifier |
Required |
|
| port_com | integer |
None. |
|
| baudrate | integer |
None. |
|
| handshake | integer |
Required |
|
| read_time_out | integer |
None. |
|
| write_time_out | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| site_id | globally unique identifier |
Required |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "96fdc1c2-e6d3-462f-92eb-aca7163f59f5",
"name": "sample string 2",
"cab_reader_type_id": "22721b0b-cec3-446b-b0ad-0b34283b99a0",
"port_com": 1,
"baudrate": 1,
"handshake": 4,
"read_time_out": 1,
"write_time_out": 1,
"pc_id": "dd1b90a8-a71e-493c-9638-3e43f2b71cc3",
"active": true,
"site_id": "37e36438-3ccb-4d5d-aff5-87950885d8e5",
"parity": 7,
"data_bits": 8,
"stop_bits": 9
}
application/xml, text/xml
Sample:
<cab_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <baudrate>1</baudrate> <cab_reader_type_id>22721b0b-cec3-446b-b0ad-0b34283b99a0</cab_reader_type_id> <data_bits>8</data_bits> <handshake>4</handshake> <id>96fdc1c2-e6d3-462f-92eb-aca7163f59f5</id> <name>sample string 2</name> <parity>7</parity> <pc_id>dd1b90a8-a71e-493c-9638-3e43f2b71cc3</pc_id> <port_com>1</port_com> <read_time_out>1</read_time_out> <site_id>37e36438-3ccb-4d5d-aff5-87950885d8e5</site_id> <stop_bits>9</stop_bits> <write_time_out>1</write_time_out> </cab_reader>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"aca97367-4a1b-464e-a999-7715ddc65a54"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">aca97367-4a1b-464e-a999-7715ddc65a54</guid>